/**
 * @file co2.hpp
 * @brief Co2 component header
 * @author Mahmoud Elmohtady
 * @company Nabd solutions - ASF
 * @copyright Copyright (c) 2025
 */

#ifndef CO2_HPP
#define CO2_HPP

#include <cstdint>

/**
 * @brief Co2 class
 * 
 * Component description goes here.
 */
class Co2
{
public:
    Co2();
    ~Co2();

    bool initialize();
    bool deinitialize();
    bool isInitialized() const;

private:
    bool m_isInitialized;
};

#endif // CO2_HPP
